apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: vault-token-role
  namespace: openbao
rules:
  - apiGroups: [""] # "" indicates the core API group
    resources: ["secrets"]
    verbs: ["create"]
